package com.bwie.auth.feign;

import com.bwie.common.domain.response.UserResponse;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient("bwie-system")
public interface UserFeignService {

    /**
     * 根据用户名查找用户
     * @param userName
     * @return
     */
    @GetMapping("/findByUserName/{userName}")
    public Result<UserResponse> findByUserName(@PathVariable String userName);
}
