package com.bwie.es.controller;

import com.bwie.common.domain.response.Loan;
import com.bwie.common.result.Result;
import com.bwie.es.service.impl.EsServiceImpl;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@Log4j2
public class EsController {
    @Autowired
    private EsServiceImpl esService;

    @Autowired
    private HttpServletRequest request;

    /**
     * 借款数据同步es
     * @return
     */
    @GetMapping("dataToEs")
    public Result dataToEs(){
        log.info("功能：借款数据同步es，请求路径：{}，请求方式：{}，请求参数：{}",
                request.getRequestURI(),request.getMethod(),"");

        Result result = esService.dataToEs();

        log.info("功能：借款数据同步es，请求路径：{}，请求方式：{}，响应结果：{}",
                request.getRequestURI(),request.getMethod(),result);

        return result;
    }

    /**
     * 借款列表
     * @return
     */
    @PostMapping("loanDataList")
    public Result<List<Loan>> loanDataList(){
        log.info("功能：借款列表，请求路径：{}，请求方式：{}，请求参数：{}",
                request.getRequestURI(),request.getMethod(),"");

        Result<List<Loan>> result = esService.loanDataList();

        log.info("功能：借款列表，请求路径：{}，请求方式：{}，响应结果：{}",
                request.getRequestURI(),request.getMethod(),result);

        return result;
    }
}
