package com.bwie.loan;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.data.redis.core.RedisTemplate;

@SpringBootApplication
@EnableFeignClients
public class LoanApplication {
    @Autowired
    private RedisTemplate<String,String> redisTemplate;

    public static void main(String[] args) {
        SpringApplication.run(LoanApplication.class);
    }

    //利率存入redis
    @Bean
    public void addInterest(){
        redisTemplate.opsForValue().set("ONE","0.002");
        redisTemplate.opsForValue().set("TWO","0.003");
        redisTemplate.opsForValue().set("THREE","0.004");
        redisTemplate.opsForValue().set("FOUR","0.005");
        redisTemplate.opsForValue().set("FIVE","0.01");
    }
}
