package com.bwie.loan.feign;

import com.bwie.common.domain.response.UserResponse;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient("bwie-system")
public interface UserFeignService {
    /**
     * 根据用户id查找用户
     * @param id
     * @return
     */
    @GetMapping("/findByUserId/{id}")
    public Result<UserResponse> findByUserId(@PathVariable String id);
}
