package com.bwie.system.service.impl;

import com.bwie.common.domain.response.UserResponse;
import com.bwie.common.result.Result;
import com.bwie.system.mapper.UserMapper;
import com.bwie.system.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl implements UserService {
    @Autowired
    private UserMapper userMapper;


    /**
     * 根据用户名查找用户
     * @param userName
     * @return
     */
    @Override
    public Result<UserResponse> findByUserName(String userName) {
        UserResponse userResponse = userMapper.findByUserName(userName);
        return Result.success(userResponse);
    }

    /**
     * 根据用户id查找用户
     * @param id
     * @return
     */
    @Override
    public Result<UserResponse> findByUserId(String id) {
        UserResponse userResponse = userMapper.findByUserId(id);
        return Result.success(userResponse);
    }
}
